Bug 93379 - [WebGL] Add support for EXT_robustness
Summary: [WebGL] Add support for EXT_robustness
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-07 11:23 PDT by Joshua Netterfield
Modified: 2012-08-10 19:45 PDT (History)
21 users (show)

See Also:


Attachments
Patch (20.59 KB, patch)
2012-08-07 15:50 PDT, Joshua Netterfield
no flags Details | Formatted Diff | Diff
Patch (27.96 KB, patch)
2012-08-09 11:37 PDT, Joshua Netterfield
no flags Details | Formatted Diff | Diff
Patch (28.10 KB, patch)
2012-08-09 11:42 PDT, Joshua Netterfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Netterfield 2012-08-07 11:23:52 PDT
EXT_robustness is a GLES extension which aims to bring the most important features of ARB_robustness to mobile platforms. The full specification is available at http://www.khronos.org/registry/gles/extensions/EXT/EXT_robustness.txt.
Comment 1 Joshua Netterfield 2012-08-07 15:50:34 PDT
Created attachment 157027 [details]
Patch
Comment 2 WebKit Review Bot 2012-08-07 15:59:00 PDT
Comment on attachment 157027 [details]
Patch

Attachment 157027 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13458012
Comment 3 Joshua Netterfield 2012-08-09 11:37:23 PDT
Created attachment 157498 [details]
Patch
Comment 4 Joshua Netterfield 2012-08-09 11:42:54 PDT
Created attachment 157501 [details]
Patch
Comment 5 Joshua Netterfield 2012-08-09 11:43:10 PDT
Adjusted ChangeLog.
Comment 6 George Staikos 2012-08-09 13:22:35 PDT
I presume we don't have new tests for this because you are unable to actually trip it so far?
Comment 7 Joshua Netterfield 2012-08-09 13:31:24 PDT
Correct - with the improvements in the QC driver & the introduction of ANGLE, I have not been able to cause a hardware reset (there is a passing test which causes a reset). I'll add this to the ChangeLog.
Comment 8 George Staikos 2012-08-09 13:33:33 PDT
(In reply to comment #7)
> Correct - with the improvements in the QC driver & the introduction of ANGLE, I have not been able to cause a hardware reset (there is a passing test which causes a reset). I'll add this to the ChangeLog.

No need, I'll r+ it
Comment 9 James Robinson 2012-08-09 13:38:02 PDT
I'm not sure this is the right place to do the robustness validation.  Instead, can we require that implementations of GraphicsContext3D are robust?  There may be many ways to accomplish this that are specific to the backend.
Comment 10 James Robinson 2012-08-09 13:38:57 PDT
Comment on attachment 157501 [details]
Patch

I want to hold off on this until some of the more experienced WebGL bindings folks can take a look - they're currently at SIGGRAPH.
Comment 11 George Staikos 2012-08-09 20:02:49 PDT
(In reply to comment #9)
> I'm not sure this is the right place to do the robustness validation.  Instead, can we require that implementations of GraphicsContext3D are robust?  There may be many ways to accomplish this that are specific to the backend.

We had concerns with how to recover in basically all cases.  Open to suggestions.  This was the best we came up with as a first step.  There is definitely more work to do here.
Comment 12 Kenneth Russell 2012-08-10 19:35:43 PDT
Comment on attachment 157501 [details]
Patch

This looks okay to me. While it might seem a little gross to check in shared code whether the robustness extension is present, doing so will enable more code sharing between platforms. I'll try setting the cq+ bit.
Comment 13 WebKit Review Bot 2012-08-10 19:45:22 PDT
Comment on attachment 157501 [details]
Patch

Clearing flags on attachment: 157501

Committed r125349: <http://trac.webkit.org/changeset/125349>
Comment 14 WebKit Review Bot 2012-08-10 19:45:30 PDT
All reviewed patches have been landed.  Closing bug.